# $Revision: 1.9 $, $Date: 2008-03-21 12:56:56 $
Summary:	Text-mode interface for git-core
Summary(pl.UTF-8):	Tekstowy interfejs do git-core
Name:		tig
Version:	0.10.1
Release:	1
License:	GPL v2
Group:		Development/Tools
Source0:	http://jonas.nitro.dk/tig/releases/%{name}-%{version}.tar.gz
# Source0-md5:	ff2c0c3d34b52a665421684d1fe7c221
URL:		http://jonas.nitro.dk/tig/
Patch0:		tig-git.patch
BuildRequires:	asciidoc
BuildRequires:	ncurses-devel
Requires:	git-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tig is a git-core repository browser that additionally can act as a
pager for output from various git commands.

When browsing repositories, it uses the underlying git commands to
present the user with various views, such as summarized revision log
and showing the commit with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.

%description -l pl.UTF-8
Tig jest przeglądarką repozytoriów git-core'a. Dodatkowo może działać
jako pager dla różnych komend gita.

Podczas przeglądania repozytoriów używa poleceń gita i pokazuje log,
statystyki diffa i różnice między plikami.

Używany jako pager będzie kolorował to co otrzyma ze standardowego
wejścia.

%package -n bash-completion-tig
Summary:	bash-completion for tig
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla tiga
Group:		Applications/Shell
Requires:	bash-completion

%description -n bash-completion-tig
This package provides bash-completion for tig.

%description -n bash-completion-tig -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla tiga.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmldflags} -I/usr/include/ncurses" \
	LDLIBS=-lncursesw

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%{__make} install install-doc-man \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir} \
	prefix=%{_prefix}

# bash completion
install contrib/tig-completion.bash $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS README TODO *.html contrib/tigrc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%files -n bash-completion-tig
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/tig-completion.bash

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tig.spec,v $
Revision 1.9  2008-03-21 12:56:56  adamg
- updated to 0.10.1 (+git diff)

Revision 1.8  2008-02-14 19:05:36  witekfl
- link with -lncursesw, because pl.po
  in elinks-0.12.GIT is encoded in UTF-8.
- rel 2

Revision 1.7  2007/11/01 11:17:09  adamg
- updated to 0.9.1
- bash-completion-tig package
- dropped -ncurses patch, pass proper path in CFLAGS instead

Revision 1.6  2007/06/24 14:43:28  adamg
- updated to 0.8

Revision 1.5  2007/06/08 23:11:20  arekm
- up to 0.7

Revision 1.4  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.2  2006/12/30 18:57:56  adamg
- updated to 0.5

Revision 1.1  2006/07/21 18:45:19  witekfl
- new
